From 73376a488907af3042b52678ac4c23f8a8911e5b Mon Sep 17 00:00:00 2001
From: Anthony Sottile <asottile@umich.edu>
Date: Fri, 7 Feb 2020 11:06:15 -0800
Subject: [PATCH] Fix testsuite for werkzeug 1.x (#862)

---
 tests/test_api.py      | 4 +++-
 tests/test_reqparse.py | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/tests/test_api.py b/tests/test_api.py
index f7f8e661..6795d362 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -445,7 +445,9 @@ def test_handle_non_api_error(self):
 
         resp = app.get("/foo")
         self.assertEquals(resp.status_code, 404)
-        self.assertEquals('text/html', resp.headers['Content-Type'])
+        # in newer versions of werkzeug this is `text/html; charset=utf8`
+        content_type, _, _ = resp.headers['Content-Type'].partition(';')
+        self.assertEquals('text/html', content_type)
 
     def test_non_api_error_404_catchall(self):
         app = Flask(__name__)
diff --git a/tests/test_reqparse.py b/tests/test_reqparse.py
index 2f1fbedf..9776f17c 100644
--- a/tests/test_reqparse.py
+++ b/tests/test_reqparse.py
@@ -2,9 +2,9 @@
 import unittest
 from mock import Mock, patch
 from flask import Flask
-from werkzeug import exceptions, MultiDict
+from werkzeug import exceptions
 from werkzeug.wrappers import Request
-from werkzeug.datastructures import FileStorage
+from werkzeug.datastructures import FileStorage, MultiDict
 from flask_restful.reqparse import Argument, RequestParser, Namespace
 import six
 import decimal
